## GoApp

GoApp

## Synopsis

    #define             GO_APP_TYPE
    #define             GO_APP                              (o)
    #define             IS_GO_APP                           (o)
    GType               go_app_get_type                     (void);
    GOPlugin*           go_app_get_plugin                   (char const *id);
    char*               go_app_sys_lib_dir                  (GOApp const *app,
                                                             char const *subdir);
    char*               go_app_sys_data_dir                 (GOApp const *app,
                                                             char const *subdir);
    char*               go_app_sys_plugin_dir               (GOApp const *app);
    char*               go_app_sys_glade_dir                (GOApp const *app);

## Description

## Details

### GO_APP_TYPE

    #define GO_APP_TYPE	    (go_app_get_type ())

### GO_APP()

    #define GO_APP(o)	    (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_APP_TYPE, GOApp))

`o` : |

### IS_GO_APP()

    #define IS_GO_APP(o)	    (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_APP_TYPE))

`o` : |

### go_app_get_type ()

    GType               go_app_get_type                     (void);

Returns : |

### go_app_get_plugin ()

    GOPlugin*           go_app_get_plugin                   (char const *id);

`id` : |
Returns : |

### go_app_sys_lib_dir ()

    char*               go_app_sys_lib_dir                  (GOApp const *app,
                                                             char const *subdir);

`app` : |
`subdir` : |
Returns : |

### go_app_sys_data_dir ()

    char*               go_app_sys_data_dir                 (GOApp const *app,
                                                             char const *subdir);

`app` : |
`subdir` : |
Returns : |

### go_app_sys_plugin_dir ()

    char*               go_app_sys_plugin_dir               (GOApp const *app);

`app` : |
Returns : |

### go_app_sys_glade_dir ()

    char*               go_app_sys_glade_dir                (GOApp const *app);

`app` : |
Returns : |